Skip to content

Get the events webhook configuration for the current account/environment.

GET
/webhooks/events

Successful response

Events webhook configuration returned by the API.

object
webhookId
required

Storage key in the format accountId:envId (currently accountId:accountId for account-scoped usage).

string
webhook
required

Destination URL that receives webhook event payloads.

string
events
required

List of subscribed event types for this webhook configuration.

Array<string>
Allowed values: EMAIL_OPEN EMAIL_CLICK EMAIL_FAILED EMAIL_DELIVERED EMAIL_UNSUBSCRIBE EMAIL_INBOUND INAPP_WEB_FAILED INAPP_WEB_UNSUBSCRIBE SMS_DELIVERED SMS_FAILED SMS_UNSUBSCRIBE SMS_SUBSCRIBE SMS_INBOUND PUSH_FAILED PUSH_UNSUBSCRIBE CALL_FAILED CALL_UNSUBSCRIBE WEB_PUSH_FAILED WEB_PUSH_UNSUBSCRIBE SLACK_FAILED SLACK_UNSUBSCRIBE VOICE_INBOUND
secret
required

HMAC secret for verifying webhook signatures. Use this with your X-Pingram-Signature verification.

string

Bad Request - validation errors, invalid input

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Unauthorized

Payment Required - usage limits exceeded

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Internal Server Error

Bad Gateway - provider error

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string